using System.ComponentModel.DataAnnotations;

namespace clivelancaster.Models
{
    public class ContactFormModel
    {
        [Display(Name = "Your Name")]
        public string? Name { get; set; }

        [Required]
        [EmailAddress]
        [Display(Name = "Your Email")]
        public required string Email { get; set; }

        [Display(Name = "Subject")]
        public string? Subject { get; set; }

        [Display(Name = "Message")]
        public string? Message { get; set; }

        [Display(Name = "Your Name")]
        public string? NameIncognito { get; set; }

        [Display(Name = "Subject")]
        public string? SubjectIncognito { get; set; }

        [Display(Name = "Message")]
        public string? MessageIncognito { get; set; }
    }
}
